Loading...
Searching...
No Matches
periodicbasis.hh File Reference
`#include <utility>`
`#include <type_traits>`
`#include <limits>`
`#include <set>`
`#include <vector>`
`#include <dune/functions/functionspacebases/concepts.hh>`
`#include <dune/functions/functionspacebases/containerdescriptors.hh>`
`#include <dune/functions/functionspacebases/transformedindexbasis.hh>`

Go to the source code of this file.

## Classes

class | Dune::Functions::BasisFactory::Experimental::PeriodicIndexSet
| Container storing identified indices for a periodic basis. More...

## Namespaces

namespace | Dune
namespace | Dune::Functions
namespace | Dune::Functions::BasisFactory
namespace | Dune::Functions::BasisFactory::Experimental

## Functions

template<class RawPreBasisIndicator, class PIS>
auto | Dune::Functions::BasisFactory::Experimental::periodic (RawPreBasisIndicator &&rawPreBasisIndicator, PIS &&periodicIndexSet)
| Create a pre-basis factory that can create a periodic pre-basis.